cURL
curl -i -X DELETE "https://api.box.com/2.0/folder_locks/93134" \
-H "authorization: Bearer <ACCESS_TOKEN>"client.folder_locks.delete_folder_lock_by_id(folder_lock.id)await client.folderLocks.deleteFolderLockById(folderLock.id!);try await client.folderLocks.deleteFolderLockById(folderLockId: folderLock.id!)client.getFolderLocks().deleteFolderLockById(folderLock.getId())await client.FolderLocks.DeleteFolderLockByIdAsync(folderLockId: NullableUtils.Unwrap(folderLock.Id));{
"type": "error",
"status": 400,
"code": "item_name_invalid",
"message": "Method Not Allowed",
"context_info": {
"message": "Something went wrong"
},
"help_url": "https://developer.box.com/guides/api-calls/permissions-and-errors/common-errors/",
"request_id": "abcdef123456"
}{
"type": "error",
"status": 400,
"code": "item_name_invalid",
"message": "Method Not Allowed",
"context_info": {
"message": "Something went wrong"
},
"help_url": "https://developer.box.com/guides/api-calls/permissions-and-errors/common-errors/",
"request_id": "abcdef123456"
}{
"type": "error",
"status": 400,
"code": "item_name_invalid",
"message": "Method Not Allowed",
"context_info": {
"message": "Something went wrong"
},
"help_url": "https://developer.box.com/guides/api-calls/permissions-and-errors/common-errors/",
"request_id": "abcdef123456"
}フォルダロック
フォルダロックを削除
指定したフォルダに適用されているフォルダロックを削除します。
このエンドポイントを使用するには、フォルダの所有者または共同所有者として認証されている必要があります。
DELETE
/
folder_locks
/
{folder_lock_id}
cURL
curl -i -X DELETE "https://api.box.com/2.0/folder_locks/93134" \
-H "authorization: Bearer <ACCESS_TOKEN>"client.folder_locks.delete_folder_lock_by_id(folder_lock.id)await client.folderLocks.deleteFolderLockById(folderLock.id!);try await client.folderLocks.deleteFolderLockById(folderLockId: folderLock.id!)client.getFolderLocks().deleteFolderLockById(folderLock.getId())await client.FolderLocks.DeleteFolderLockByIdAsync(folderLockId: NullableUtils.Unwrap(folderLock.Id));{
"type": "error",
"status": 400,
"code": "item_name_invalid",
"message": "Method Not Allowed",
"context_info": {
"message": "Something went wrong"
},
"help_url": "https://developer.box.com/guides/api-calls/permissions-and-errors/common-errors/",
"request_id": "abcdef123456"
}{
"type": "error",
"status": 400,
"code": "item_name_invalid",
"message": "Method Not Allowed",
"context_info": {
"message": "Something went wrong"
},
"help_url": "https://developer.box.com/guides/api-calls/permissions-and-errors/common-errors/",
"request_id": "abcdef123456"
}{
"type": "error",
"status": 400,
"code": "item_name_invalid",
"message": "Method Not Allowed",
"context_info": {
"message": "Something went wrong"
},
"help_url": "https://developer.box.com/guides/api-calls/permissions-and-errors/common-errors/",
"request_id": "abcdef123456"
}このリソースは、バージョン2024.0のエンドポイントで使用されています。 詳細については、 Box APIのバージョン管理を参照してください。「Box SDKのバージョニング戦略について詳しく学ぶ。」
最終更新日 2026年1月23日
このページは役に立ちましたか?
⌘I
